# Add an Address source: https://developer.mastercard.com/mastercard-processing-core/documentation/sandbox-testing/data-management/add-address/index.md ## Test case -- Success -- Create additional Address for a Client {#test-case--success--create-additional-address-for-a-client} This test case describes creating an address for a specified client in the CMS. For this test case, use the following information in the request: | Field | Available value | |---------------|-----------------| | `addressType` | PIN | | | STMT | **Sample request** `POST /clients/40000/addresses` ```JSON { "addressType": "STMT", "addressLine1": "Mrs. Alice Smith Apartment", "addressLine2": "1c 213", "addressLine3": "Derrick Street", "addressLine4": "2nd floor", "city": "Boston", "country": "USA", "email": "johndoe@example.com", "firstName": "John", "lastName": "Doe", "postalCode": "02130", "state": "MA" } ``` **Sample response** `200` ## Test case -- Success -- Create an Address for a Contract {#test-case--success--create-an-address-for-a-contract} This test case describes creating an address for a specified contract (account contract or card contract) in the CMS. For this test case, use the following information in the request: | Field | Available value | |---------------|-----------------| | `addressType` | PIN | | | STMT | **Sample request** `POST /contracts/70001/addresses` ```JSON { "addressType": "STMT", "addressLine1": "Mrs. Alice Smith Apartment", "addressLine2": "1c 213", "addressLine3": "Derrick Street", "addressLine4": "2nd floor", "city": "Boston", "country": "USA", "email": "johndoe@example.com", "firstName": "John", "lastName": "Doe", "postalCode": "02130", "state": "MA" } ``` **Sample response** `200`